Author news
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/newsimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/news"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/news",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/news"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/news")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/news")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [],
"meta": {"count": 0, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 2}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Person
Author news
Paginated list of the news related to an author.
GET
/
person
/
{person_id}
/
research
/
news
Author news
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/newsimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/news"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/news",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/news"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/news")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/news")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [],
"meta": {"count": 0, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 2}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Path parameters
string
required
Author identifier. Example:
0000000001.Query parameters
integer
default:"10"
Results per page (1 to 250).
integer
default:"1"
Page number (minimum 1).
string
default:"citations_desc"
Ascending or descending sort criterion, for example
citations_desc,
products_asc or alphabetical_desc.This endpoint does not accept
sort, view or filters. Only max and
page apply. The response structure is identical to that of Affiliation news.Response
object
{
"data": [],
"meta": {"count": 0, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 2}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}